Package org.eclipse.lemminx.utils.platform

## Class Memory

- java.lang.Object
- - org.eclipse.lemminx.utils.platform.Memory

    public class Memory
    extends Object

JVM memory information

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getFree()`
`long` `getMax()`
`long` `getTotal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFree

    public long getFree()

#### getTotal

    public long getTotal()

#### getMax

    public long getMax()